net.sf.jasperreports.components.headertoolbar

## Class HeaderToolbarParameterContributorExtensionFactory

- java.lang.Object
- - net.sf.jasperreports.components.headertoolbar.HeaderToolbarParameterContributorExtensionFactory

- All Implemented Interfaces:
    ExtensionsRegistryFactory

      public class HeaderToolbarParameterContributorExtensionFactory
      extends java.lang.Object
      implements ExtensionsRegistryFactory

  Extension factory for `HeaderToolbarParameterContributorFactory`.
  Version:
    $Id: HeaderToolbarParameterContributorExtensionFactory.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderToolbarParameterContributorExtensionFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensionsRegistry` | `createRegistry(java.lang.String registryId, JRPropertiesMap properties)` Instantiates an extensions registry.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderToolbarParameterContributorExtensionFactory

          public HeaderToolbarParameterContributorExtensionFactory()

  - ### Method Detail

    - #### createRegistry

          public ExtensionsRegistry createRegistry(java.lang.String registryId,
                                          JRPropertiesMap properties)

      Description copied from interface: `ExtensionsRegistryFactory`
      Instantiates an extensions registry.
      Specified by:
        `createRegistry` in interface `ExtensionsRegistryFactory`
      Parameters:
        `registryId` - the ID of the registry to instantiate. The ID can be used to identify a set of properties to be used when instantiating the registry.
        `properties` - the map of properties that can be used to configure the registry instantiation process
      Returns:
        an extensions registry
      See Also:
        `DefaultExtensionsRegistry.PROPERTY_REGISTRY_PREFIX`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com